Unable to access API using non-admin users.

05/29/2023 03:28 PM - Adam Ruzicka

Status: Closed   

Priority: Normal   
Target version:    
Triaged: Yes Found in Releases:  
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=2208588

Unable to access Satellite 6 API using non-admin users.

Description of problem:

Non-Admin Users cannot access API, no matter which roles has been assigned to them.

The same user will be able to access, when you mark the user as "ADMIN".

Tested on Satellite 6.11, 6.12, 6.13

Version-Release number of selected component (if applicable):

How reproducible:

100 %

Steps to Reproduce:

1. Create a user "NA-USER" on Satellite GUI but don't mark it as Admin.

2. Assign all the Roles to the user "NA-USER" but don't mark it as "Admin" and then try accessing the API:

3. Try to access the API https://satellite.example.com/api/v2/

Actual results:

~

~

error

message    "Access denied"

details    "Missing one of the required permissions: "

missing_permissions    []

~~
Expected results:

Should have some role which can allow non-admin users to access api.

Additional info:

If I mark the same user as Admin, it will be able to access the API successfully and will be able to see the result as well.

Similar bug which got resolved on Satellite version 6.8: https://bugzilla.redhat.com/show_bug.cgi?id=1757394

Upstream Foreman Issue Tracker for Satelltie 6.8: https://projects.theforeman.org/issues/28405

Associated revisions

Revision b6878a04 - 06/08/2023 01:25 PM - Adam Ruzicka

Fixes #36449 - Make /api/v2 public

History

#1 - 05/29/2023 03:31 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9720 added

#2 - 06/08/2023 01:26 PM - The Foreman Bot

- Fixed in Releases 3.8.0 added

#3 - 06/08/2023 02:00 PM - Adam Ruzicka

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|b6878a041d0f4abc6c53b0dd8a60e1017eafbf25.

#4 - 06/27/2023 08:11 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9753 added

#5 - 06/27/2023 08:13 AM - Adam Ruzicka

- Subject changed from Unable to access Satellite 6 API using non-admin users.

 to Unable to access Satellite 6 API using non-admin users.

- Pull request deleted (https://github.com/theforeman/foreman/pull/9753)

#6 - 09/11/2023 10:52 AM - Ewoud Kohl van Wijngaarden

- Subject changed from Unable to access Satellite 6 API using non-admin users. to Unable to access API using non-admin users.

- Category set to API

- Triaged changed from No to Yes
